## dune-localfunctions 2.2.0

=== debian/changelog ===
dune-localfunctions (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 05 Jun 2012 10:34:45 +0200

dune-localfunctions (2.2~svn1056-1) experimental; urgency=low

  * New upstream snapshot.
  * debian/copyright: Update years of copyright.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 06 May 2012 15:20:25 +0200

dune-localfunctions (2.2~svn1043-1) experimental; urgency=low

  * Initial release. (Closes: #661823)

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 29 Mar 2012 20:15:03 +0200
