=== debian/control ===
Source: dune-localfunctions
Section: libs
Priority: optional
Standards-Version: 3.9.3
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/dune-localfunctions.git
Vcs-Git: git://git.debian.org/debian-science/packages/dune-localfunctions.git
Homepage: http://www.dune-project.org/
Build-Depends: debhelper (>= 9),
 automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
 libdune-common-dev (>= 2.2.0), libdune-geometry-dev (>= 2.2.0)
Build-Depends-Indep: doxygen, ghostscript, texlive-latex-extra, texlive-latex-recommended, pgf

Package: libdune-localfunctions-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends},
 libdune-common-dev (>= 2.2.0),
 libdune-geometry-dev (>= 2.2.0)
Pre-Depends: dpkg (>= 1.15.6)
Description: toolbox for solving PDEs -- local basis (development files)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the development files for the interface for the local
 basis and layout of the degrees of freedom.

Package: libdune-localfunctions-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6)
Description: toolbox for solving PDEs -- local basis (documentation)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the documentation for the interface for the local
 basis and layout of the degrees of freedom.
