## dune-localfunctions 2.2.1

=== debian/changelog ===
dune-localfunctions (2.2.1-2) unstable; urgency=low

  * Upload to unstable.
  * Bumped Standards-Version to 3.9.4 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 18 May 2013 19:18:12 +0200

dune-localfunctions (2.2.1-1) experimental; urgency=low

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 02 Mar 2013 02:36:01 +0100
