=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dune-localfunctions
 Section: libs
 Priority: optional
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/dune-localfunctions.git
@@ -9,15 +9,15 @@
 Homepage: http://www.dune-project.org/
 Build-Depends: debhelper (>= 9),
  automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
- libdune-common-dev (>= 2.2.0), libdune-geometry-dev (>= 2.2.0)
+ libdune-common-dev (>= 2.2.1), libdune-geometry-dev (>= 2.2.1)
 Build-Depends-Indep: doxygen, ghostscript, texlive-latex-extra, texlive-latex-recommended, pgf
 
 Package: libdune-localfunctions-dev
 Section: libdevel
 Architecture: all
 Depends: ${misc:Depends},
- libdune-common-dev (>= 2.2.0),
- libdune-geometry-dev (>= 2.2.0)
+ libdune-common-dev (>= 2.2.1),
+ libdune-geometry-dev (>= 2.2.1)
 Pre-Depends: dpkg (>= 1.15.6)
 Description: toolbox for solving PDEs -- local basis (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
