## dune-localfunctions 2.3.1

=== debian/changelog ===
dune-localfunctions (2.3.1-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Alexander Krampe <alexander.krampe@gmail.com>  Thu, 06 Nov 2014 16:32:20 +0100

dune-localfunctions (2.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 17 Jun 2014 19:57:25 +0200

dune-localfunctions (2.3.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 10 Jun 2014 20:46:44 +0200

dune-localfunctions (2.3.0-2) unstable; urgency=medium

  * Install /usr/share/dune-localfunctions.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 14 Feb 2014 10:45:05 +0100

dune-localfunctions (2.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 14 Feb 2014 09:32:02 +0100

dune-localfunctions (2.3~20140117beta2-1) experimental; urgency=medium

  * New upstream snapshot.
  * libdune-localfunctions-dev.install: Install /usr/lib/cmake.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 20 Jan 2014 22:10:38 +0100

dune-localfunctions (2.3~20140110beta1-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 15 Jan 2014 13:43:42 +0100

dune-localfunctions (2.3~20131228gf8b14aa-1) experimental; urgency=medium

  * New upstream snapshot.
  * debian/control: Use canonical Vcs-* URIs.
  * Drop pre-depends on dpkg (>= 1.15.6) which is already satisfied in
    Debian 6.
  * Bumped Standards-Version to 3.9.5 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 01 Jan 2014 19:54:31 +0100
