## dune-localfunctions 2.4.0

=== debian/changelog ===
dune-localfunctions (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * (Build-)Depend on last DUNE upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 25 Sep 2015 22:33:39 +0200

dune-localfunctions (2.4~20150912rc3-1) unstable; urgency=medium

  * New upstream release candidate.
  * (Build-)Depend on last DUNE upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 13 Sep 2015 14:06:29 +0200

dune-localfunctions (2.4~20150825rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * (Build-)Depend on last DUNE upload.
  * libdune-localfunctions-dev: Add -doc package as a suggested package.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 04 Sep 2015 15:56:24 +0200

dune-localfunctions (2.4~20150717rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * (Build-)Depend on last DUNE upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 17 Jul 2015 21:16:51 +0200

dune-localfunctions (2.4~20150610gf860790-1) experimental; urgency=medium

  * New upstream snapshot.
  * debian/copyright: Update for new upstream snapshot.
  * (Build-)Depend on last DUNE upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 19 Jun 2015 23:50:21 +0200

dune-localfunctions (2.4~20150506g11a11a8-1) experimental; urgency=medium

  * New upstream snapshot.
  * debian/copyright: Update for new upstream snapshot.
  * Add Build-Depends-Indep: graphviz for "dot".
  * (Build-)Depend on last DUNE upload.
  * Install documentation to correct location.
  * Bumped Standards-Version to 3.9.6 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 06 May 2015 00:26:48 +0200
