=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dune-localfunctions
 Section: libs
 Priority: optional
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/dune-localfunctions.git
@@ -9,16 +9,18 @@
 Homepage: http://www.dune-project.org/
 Build-Depends: debhelper (>= 9),
  automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
- libdune-common-dev (>= 2.3.1), libdune-geometry-dev (>= 2.3.1)
-Build-Depends-Indep: doxygen, ghostscript, texlive-latex-extra, texlive-latex-recommended, pgf
+ libdune-common-dev (>= 2.4.0),
+ libdune-geometry-dev (>= 2.4.0)
+Build-Depends-Indep: doxygen, ghostscript, graphviz, texlive-latex-extra, texlive-latex-recommended, pgf
 
 Package: libdune-localfunctions-dev
 Section: libdevel
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
- libdune-common-dev (>= 2.3.1),
- libdune-geometry-dev (>= 2.3.1)
+ libdune-common-dev (>= 2.4.0),
+ libdune-geometry-dev (>= 2.4.0)
+Suggests: libdune-localfunctions-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- local basis (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
  for solving partial differential equations (PDEs) with grid-based methods.
