=== cmake/modules/CMakeLists.txt ===
set(modules DuneLocalfunctionsMacros.cmake)
install(FILES ${modules} DESTINATION ${DUNE_INSTALL_MODULEDIR})
