=== dune/localfunctions/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
         lagrange.hh
         mimetic.hh
         monom.hh
+        monomial.hh
         orthonormal.hh
         rannacherturek.hh
         raviartthomas.hh
@@ -13,12 +14,12 @@
 set(SUBDIRS
         brezzidouglasmarini
         common
-	dualmortarbasis
+        dualmortarbasis
         hierarchical
         lagrange
         meta
         mimetic
-        monom
+        monomial
         orthonormal
         rannacherturek
         raviartthomas
@@ -38,3 +39,11 @@
   add_subdirectory(${i} ${opt})
   unset(opt)
 endforeach(i ${SUBDIRS})
+
+# Install some test headers, because they might be useful for tests in
+# other modules.
+# We do this here as test will not be considered for make install.
+install(FILES test/geometries.hh
+        test/test-fe.hh
+        test/test-localfe.hh
+  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/test)
