## dune-localfunctions 2.5.0

=== debian/changelog ===
dune-localfunctions (2.5.0-2) unstable; urgency=medium

  * Increase ε used for comparisons. (Closes: #860641)
    + patch: 0001-Merge-branch-bugfix-increase-epsilon-for-i386-into-m.patch

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 20 Apr 2017 19:32:17 +0200

dune-localfunctions (2.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 18 Dec 2016 13:53:46 +0100

dune-localfunctions (2.5.0~rc2-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release candidate.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 05 Dec 2016 23:26:54 +0100

dune-localfunctions (2.5.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * (Build-)Depend on last DUNE upload.
  * Switch to CMake.
  * Bumped Standards-Version to 3.9.8 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 21 Nov 2016 20:37:11 +0100
