=== dune/localfunctions/mimetic/CMakeLists.txt ===
install(FILES
  mimeticall.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/mimetic)
