=== dune/localfunctions/monomial/CMakeLists.txt ===
install(FILES
  monomiallocalbasis.hh
  monomiallocalcoefficients.hh
  monomiallocalinterpolation.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/monomial)
