=== dune/localfunctions/lagrange/p1/CMakeLists.txt ===
install(FILES
  p1localbasis.hh
  p1localcoefficients.hh
  p1localinterpolation.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/lagrange/p1)
