=== dune/localfunctions/lagrange/p23d/CMakeLists.txt ===
install(FILES
  p23dlocalbasis.hh
  p23dlocalcoefficients.hh
  p23dlocalinterpolation.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/lagrange/p23d)
