=== dune/localfunctions/lagrange/pk2d/CMakeLists.txt ===
install(FILES
  pk2dlocalbasis.hh
  pk2dlocalcoefficients.hh
  pk2dlocalinterpolation.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/localfunctions/lagrange/pk2d)
